<html lang="es">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="Repositorio académico de archivos JSON">
  <meta name="author" content="Marco A. Adarme J.">
  <link rel="icon" type="image/x-icon" href="http://madarme.co/assets/img/mi_logo_en_negro.jpg" />

  <title>Repositorio JSON</title>

  <link rel="canonical" href="https://getbootstrap.com/docs/4.1/examples/sticky-footer/">

  <!-- Bootstrap core CSS -->
  <link href="https://getbootstrap.com/docs/4.1/dist/css/bootstrap.min.css" rel="stylesheet">

  <!-- Custom styles for this template -->
  <link href="https://getbootstrap.com/docs/4.1/examples/sticky-footer/sticky-footer.css" rel="stylesheet">
</head>

<body>


  <header>
    <!-- Fixed navbar -->
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
      <a class="navbar-brand" href="#">Repositorio de JSON-Programación Web</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>


      <div class="collapse navbar-collapse" id="navbarCollapse">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item active">

          </li>
          <li class="nav-item">

          </li>
          <li class="nav-item">

          </li>
        </ul>

        <img src="ufps.PNG" class="img-rounded" alt="Cinque Terre" width="80" height="80">

      </div>






    </nav>
  </header>



  <br><br><br><br><br><br>
  <!-- Begin page content -->
  <main role="main" class="container">
    <h1 class="mt-1">JSON:</h1>
    <p class="lead">Los archivos fueron creados a partir de modelos de clases en Java y exportado con datos dinámicamente cargados usando el componente <a href="https://github.com/google/gson" target="_blank">gson</a></p>



    <table class="table  .table-condensed border" >
      <thead>
        <tr>
          <th class="text-center">Nombre</th>
          <th class="text-center">Descripción</th>
          <th class="text-center">URL</th>
          <th class="text-center">Modelo</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <th scope="row">Empresa</th>
          <td class="text-justify">Archivo con la información de una entidad empresa que contiene un conjunto de sucursales y cada sucursal 
            un conjunto de empleados.<br> El empleado posee 12 ventas correspondientes a cada mes del año</td>
            <td class="text-center"><a href="./json/empresa.json" target="_blank">Ver</a></td>
            <td class="text-center"><img src="./img/empresa.png" class="img-rounded" alt="modelo de empresa" width="180" height="280"></td>
          </tr>

          <tr>
            <th scope="row">Materia</th>
            <td class="text-justify">Archivo con la información de una entidad Materia que contiene un conjunto de estudiantes y cada uno de ellos un conjunto de notas.
              <br> La descripción de las notas se almacena en un conjunto separado</td>
              <td class="text-center"><a href="./json/estudiantes.json" target="_blank">Ver</a></td>
              <td class="text-center"><img src="./img/estudiante.png" class="img-rounded" alt="modelo de materias" width="200" height="200">

              </td>
            </tr>

            <tr>
              <th scope="row">Pizzería</th>
              <td class="text-justify">Archivo con la información de una entidad Pizzeria que contiene 4 sabores de pizzas y cada uno de  ellos un tamaño asociado a un precio.
                <br> Las pizzas pueden tener ingredientes adicionales y estos se modelan en la entidad ingrediente_adicional.
              </td>
                <td class="text-center"><a href="./json/pizzeria.json" target="_blank">Ver</a></td>
                <td class="text-center"><img src="./img/pizzeria.png" class="img-rounded" alt="modelo de materias" width="220" height="220">

                </td>
              </tr>

            <tr>
              <th scope="row">Universidades</th>
              <td class="text-justify">Archivo con el listado de universidades en Colombia.
                <br> El listado se toma de la api: http://universities.hipolabs.com/search?country=colombia.
              </td>
                <td class="text-center"><a href="./json/universidades.json" target="_blank">Ver</a></td>
                <td class="text-center">&nbsp;

                </td>
              </tr>




            </tbody>
          </table>




        </main>

        <footer class="footer"> <div class="container"> <a href="http://madarme.co" target="_blank"> <img src="./img/letrero.png" width="600" height="50"> </a> </div> </footer>


 <!-- Bootstrap core JavaScript
  ================================================== -->
  <!-- Placed at the end of the document so the pages load faster -->
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
  <script>window.jQuery || document.write('<script src="../../assets/js/vendor/jquery-slim.min.js"><\/script>')</script>
  <script src="https://getbootstrap.com/docs/4.1/assets/js/vendor/popper.min.js"></script>
  <script src="https://getbootstrap.com/docs/4.1/dist/js/bootstrap.min.js"></script>






</body>
</html>
